---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  labels:
    app.kubernetes.io/component: rbac
    app.kubernetes.io/part-of: vault-secrets-operator
  name: vso-system-vault-secrets-operator-auth-delegator
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: system:auth-delegator
subjects:
  - kind: ServiceAccount
    name: vault-secrets-operator-controller-manager
    namespace: vso-system
---
apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRoleBinding
metadata:
  labels:
    app.kubernetes.io/name: vso-system-vault-admin-binding
    app.kubernetes.io/part-of: vault-secrets-system
  name: vso-system-vault-admin-binding
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: vso-system-vault-service-account-admin
subjects:
  - kind: ServiceAccount
    name: vso-system-vault-admin
    namespace: vso-system
